{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Imported calendars
{% endblock %}

{% block content %}
    {{ block.super }}
    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|safe }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}

    <div>
        <span><a href="{% url 'create_cal' %}">Declare calendar</a></span>
        | <span><a href="{% url 'upload_file' %}">Import calendars from file</a></span>
        | <span><a href="{% url 'export_calendars' %}">Export calendars</a></span>

    </div>
    <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
        <thead>
        <tr>
            <th></th>
            <th>Title</th>
            <th>Organism</th>
            <th>Location</th>
            <th>Region</th>
            <th>Url</th>
            <th>Feed</th>
            <th>iCal</th>
            {% if user.is_authenticated %}
                <th>Created on</th>
                <th>Subscriptions</th>
                <th>Events in DB</th>
                <th>Last collect</th>
                <th>Status</th>
                <th> Action</th>
                <th>Managed by</th>
            {% endif %}
        </tr>
        </thead>
        <tbody>

        {% for publisher in object_list %}
            {% if publisher.published %}
            <tr>
                <td>
                    <small><i><a href="{% url 'calendar_detail' publisher.pk %}">{{ publisher.pk }}</a></i>
                    </small>
                </td>
                <td>
                    <a href="{{ publisher.url_to_parse }}">{{ publisher.title|safe }}</a>
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                    {% endfor %}
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        {{ org.location }}
                    {% endfor %}
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        {{ org.region.name }}
                    {% endfor %}
                </td>
                <td>
                    <a href="{{ publisher.url }}">{{ publisher.url }}</a>
                </td>
                <td>
                    <div>
                        <a class="ical" title="Subscribe"
                           href="{% url 'calfeed' cal_id=publisher.pk %} ">
                            <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
                        </a>
                    </div>
                </td>
                <td>
                    <div>
                        <a class="ical" title="Subscribe"
                                {% if 'IC' in publisher.parse %}
                           direct to
                           href="{{ publisher.url_to_parse }}">
                                {% else %}
                                    <a href="{% url 'calics' cal_id=publisher.pk %}">
                                {% endif %}
                        <img src="{% static 'images/iCal.png' %}" alt="iCal">
                        </a>
                    </div>
                </td>
                {% if user.is_authenticated %}
                    <td>{{ publisher.created_on }}</td>
                    <td>{{ publisher.subscription_set.count }}</td>
                    <td>
                        {% if publisher.myevent_set.count %}
                            <a href="{% url 'calendar_detail' publisher.id %}">{{ publisher.myevent_set.count }}
                                events</a>
                            {% comment %}
                            Have events {{ publisher.objects.future_events }}
{% endcomment %}
                        {% endif %}
                    </td>
                    <td>
                        {% if publisher.created_by == user or user.is_staff %}
                            {{ publisher.edited_on }}<br>
                            <a href="{% url 'collect' publisher.id %}">collect?</a>
                        {% endif %}
                    </td>
                    <td>
                        {% if publisher.created_by == user or user.is_staff %}
                            <textarea> {{ publisher.collector_set.last.check_status|safe }}</textarea>
                            {{ publisher.collector_set.last.count_failed_check }}
                        {% endif %}
                    </td>
                    <td>
                        <a href="{% url 'update_cal' publisher.id %}">Modify</a>
                    </td>
                    <td>
                        {% if 'OD' in publisher.origin_if_imported %}
                            imported from 'Officiel des Maths'
                            {% if user.is_staff %}
                                {{ publisher.created_by.email }}
                            {% endif %}
                        {% else %}
                            {% if 'AC' in publisher.origin_if_imported %}
                                imported from 'Agenda des Conférences en Mathématiques'
                                {% if user.is_staff %}
                                    {{ publisher.created_by.email }}
                                {% endif %}
                            {% else %}
                                {% if user != publisher.created_by %}
                                {{ publisher.created_by.email }}
                                {% endif %}
                            {% endif %}
                        {% endif %}
                    </td>
                {% endif %}
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>


    <table cellpadding="0" cellspacing="0" border="1" class="display" id="hiddencalendarTable">
    <caption>Calendars un-published</caption>
        <thead>
        <tr>
            <th></th>
            <th>Title</th>
            <th>Organism</th>
            <th>Location</th>
            <th>Region</th>
            <th>Url</th>
            {% if user.is_authenticated %}
                <th>Created on</th>
                <th>Events in DB</th>
                <th>Last collect</th>
                <th>Status</th>
                <th> Action</th>
                <th>Managed by</th>
            {% endif %}
        </tr>
        </thead>
        <tbody>

        {% for publisher in object_list %}
            {% if not publisher.published %}
            <tr>
                <td>
                    <small><i><a href="{% url 'calendar_detail' publisher.pk %}">{{ publisher.pk }}</a></i>
                    </small>
                </td>
                <td>
                    <a href="{{ publisher.url_to_parse }}">{{ publisher.title|safe }}</a>
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                    {% endfor %}
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        {{ org.location }}
                    {% endfor %}
                </td>
                <td>
                    {% for org in publisher.org.all %}
                        {{ org.region.name }}
                    {% endfor %}
                </td>
                <td>
                    <a href="{{ publisher.url }}">{{ publisher.url }}</a>
                </td>
                {% if user.is_authenticated %}
                    <td>{{ publisher.created_on }}</td>
                    <td>
                        {% if publisher.myevent_set.count %}
                            <a href="{% url 'calendar_detail' publisher.id %}">{{ publisher.myevent_set.count }}
                                events</a>
                            {% comment %}
                            Have events {{ publisher.objects.future_events }}
{% endcomment %}
                        {% endif %}
                    </td>
                    <td>
                        {% if publisher.created_by == user or user.is_staff %}
                            {{ publisher.edited_on }}<br>
                        {% endif %}
                    </td>
                    <td>
                        {% if publisher.created_by == user or user.is_staff %}
                            <textarea> {{ publisher.collector_set.last.check_status|safe }}</textarea>
                            {{ publisher.collector_set.last.count_failed_check }}
                        {% endif %}
                    </td>
                    <td>
                        <a href="{% url 'update_cal' publisher.id %}">Modify</a>
                    </td>
                    <td>
                        {% if 'OD' in publisher.origin_if_imported %}
                            imported from 'Officiel des Maths'
                            {% if user.is_staff %}
                                {{ publisher.created_by.email }}
                            {% endif %}
                        {% else %} {% if 'AC' in publisher.origin_if_imported %}
                            imported from 'Agenda des Conférences en Mathématiques'
                            {% if user.is_staff %}
                                {{ publisher.created_by.email }}
                            {% endif %}
                        {% else %}
                               {% if user != publisher.created_by %}
                                {{ publisher.created_by.email }}
                                {% endif %}
                        {% endif %}{% endif %}
                    </td>
                {% endif %}
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>


{% endblock %}


{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>

    <script>
        $(document).ready(function () {
            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 0, "desc" ]
                ],
                "bPaginate": false
            });
            $('#hiddencalendarTable').dataTable({
                "aaSorting": [
                    [ 0, "desc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
